Dislike a song
curl --request POST \
--url https://api.rocksky.app/xrpc/app.rocksky.like.dislikeSong \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uri": "<string>"
}
'import requests
url = "https://api.rocksky.app/xrpc/app.rocksky.like.dislikeSong"
payload = { "uri": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({uri: '<string>'})
};
fetch('https://api.rocksky.app/xrpc/app.rocksky.like.dislikeSong', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"artist": "<string>",
"albumArtist": "<string>",
"albumArt": "<string>",
"uri": "<string>",
"album": "<string>",
"duration": 123,
"trackNumber": 123,
"discNumber": 123,
"playCount": 1,
"uniqueListeners": 1,
"albumUri": "<string>",
"artistUri": "<string>",
"sha256": "<string>",
"mbid": "<string>",
"isrc": "<string>",
"tags": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"artists": [
{
"id": "<string>",
"uri": "<string>",
"name": "<string>",
"picture": "<string>",
"sha256": "<string>",
"playCount": 1,
"uniqueListeners": 1,
"tags": [
"<string>"
]
}
],
"firstScrobble": {
"handle": "<string>",
"avatar": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<string>"
}app.rocksky.like
Dislike a song
POST
/
app.rocksky.like.dislikeSong
Dislike a song
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The unique identifier of the song to dislike
Response
OK
The unique identifier of the song.
The title of the song.
The artist of the song.
The artist of the album the song belongs to.
The URL of the album art image.
The URI of the song.
The album of the song.
Required range:
x >= 0Required range:
x >= 0The URI of the album the song belongs to.
The URI of the artist of the song.
The SHA256 hash of the song.
The MusicBrainz ID of the song.
The International Standard Recording Code (ISRC) of the song.
The timestamp when the song was created.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I